
package Logic;

public class LogicPrintAlgo implements ILogicAlgo
{
	/** @SBGen Singleton Variable   */
	private static LogicPrintAlgo instance;	/** @SBGen Constructor   */
	private LogicPrintAlgo()
	{
	} 

	/**
	 * @param host 
	 * @param param 
	 * @return 
	 */
	public Object trueCase(ILogical host, Object param)
	{
		return ("true"); // NYI 
	}

	/**
	 * @param host 
	 * @param param 
	 * @return 
	 */
	public Object falseCase(ILogical host, Object param)
	{
		return ("false"); // NYI 
	}

	/**
	 * @return 
	 * @SBGen Singleton 
	 */
	public static LogicPrintAlgo Singleton()
	{
		// SBgen: Ensure single instance
		if (instance == null) 
			instance = new LogicPrintAlgo();
		return(instance);
		// SBgen: End singleton
	} 
}

